Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.umich.soar.hpp
Class HPPBinaryVariable

    java.lang.Object
      edu.umich.soar.hpp.HPPVariable
          edu.umich.soar.hpp.HPPMultiVariable
              edu.umich.soar.hpp.HPPBinaryVariable

All Implemented Interfaces:
  java.lang.Comparable<HPPVariable>

    public class HPPBinaryVariable

extends HPPMultiVariable

Specialization of multi-valued variables for the case of binary values.

Constructor Summary
`HPPBinaryVariable(java.lang.String name, java.lang.Boolean defaultValue)` Basic constructor - uses basic constructor of multi-variable
`HPPBinaryVariable(java.lang.String name, java.lang.Boolean defaultValue, HPPCPTBinaryEntry[] cpt)` Advanced constructor to initialize the cpt with binary entries

Method Summary
`java.lang.String` | `getType()` A variable's type is just a string (used for console debugging)

Methods inherited from class edu.umich.soar.hpp.HPPMultiVariable
`addCPTEntries, addCPTEntry, getCPT, getDefaultValue`

Methods inherited from class edu.umich.soar.hpp.HPPVariable
`compareTo, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HPPBinaryVariable

    public HPPBinaryVariable(java.lang.String name,
                             java.lang.Boolean defaultValue)

  Basic constructor - uses basic constructor of multi-variable

  Parameters:
    `name` - variable name
    `defaultValue` - default value, or null for none

### HPPBinaryVariable

    public HPPBinaryVariable(java.lang.String name,
                             java.lang.Boolean defaultValue,
                             HPPCPTBinaryEntry[] cpt)

  Advanced constructor to initialize the cpt with binary entries

  Parameters:
    `name` - variable name
    `defaultValue` - default value, or null for none
    `cpt` - array of binary cpt entries

Method Detail

### getType

    public java.lang.String getType()

  Description copied from class: `HPPVariable`
  A variable's type is just a string (used for console debugging)

  Overrides:
    `getType` in class `HPPMultiVariable`
  Returns:
    variable type

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD